
CHECK_MEPS_RUNDIRS = \
	0-0j 0-1j_20gev \
	0-2j_20gev 0-2j_10gev 0-2j_40gev \
	0-2j_20gev_fup 0-2j_20gev_fdown \
	0-2j_20gev_rup 0-2j_20gev_rdown
CHECK_MENLOPS_RUNDIRS = \
	2-0j 2-1j_20gev \
	2-2j_20gev 2-2j_10gev 2-2j_40gev \
	2-2j_20gev_fup 2-2j_20gev_fdown \
	2-2j_20gev_rup 2-2j_20gev_rdown
CHECK_MEPSNLO_RUNDIRS = \
	3-2j_20gev \
	3-2j_10gev 3-2j_40gev \
	3-2j_20gev_fup 3-2j_20gev_fdown 
RUNDIRS = \
	$(CHECK_MEPS_RUNDIRS) \
	$(CHECK_MENLOPS_RUNDIRS) 

LIBDIRS = $(RUNDIRS)

SEVENTS = 10000000

EVENTS ?= $(SEVENTS)

EVENTTAG = -e$(EVENTS) -E$(JOB_LIBTIME) -T10000

include ../share/events_branch.make

$(OUTPUT_PATH)/$(TARGET):
ifneq (,$(findstring $(CHECK_MENLOPS_RUNDIRS),$(RUNDIRS)))
	for i in $$(seq 1 5); do $(COMPARE_RUN_CMD) -n$$i; done
endif
ifneq (,$(findstring $(CHECK_MEPSNLO_RUNDIRS),$(RUNDIRS)))
	for i in $$(seq 11 15); do $(COMPARE_RUN_CMD) -n$$i; done
endif
ifneq (,$(findstring $(CHECK_MEPS_RUNDIRS),$(RUNDIRS)))
	for i in $$(seq 21 25); do $(COMPARE_RUN_CMD) -n$$i; done
endif

checks: runs


ifneq (,$(findstring $(CHECK_MEPS_RUNDIRS),$(RUNDIRS)))
define CHECK_MEPS_HTML
<br><b>MEPS 2-jet</b><br>
N<sub>jet</sub> variation: <a href="PL_HVBF/NJet_MEPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/NJet_MEPS/index.html">Internal</a><br>
Q<sub>cut</sub> variation: <a href="PL_HVBF/QCut_MEPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/QCut_MEPS/index.html">Internal</a><br>
Fixed order scale variation: <a href="PL_HVBF/FScale_MEPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/FScale_MEPS/index.html">Internal</a><br>
Resummation scale variation: <a href="PL_HVBF/RScale_MEPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/RScale_MEPS/index.html">Internal</a><br>
endef
endif
ifneq (,$(findstring $(CHECK_MENLOPS_RUNDIRS),$(RUNDIRS)))
define CHECK_MENLOPS_HTML
<br><b>MENLOPS 2-jet</b><br>
N<sub>jet</sub> variation: <a href="PL_HVBF/NJet_MENLOPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/NJet_MENLOPS/index.html">Internal</a><br>
Q<sub>cut</sub> variation: <a href="PL_HVBF/QCut_MENLOPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/QCut_MENLOPS/index.html">Internal</a><br>
Fixed order scale variation: <a href="PL_HVBF/FScale_MENLOPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/FScale_MENLOPS/index.html">Internal</a><br>
Resummation scale variation: <a href="PL_HVBF/RScale_MENLOPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/RScale_MENLOPS/index.html">Internal</a><br>
PS scheme variation: <a href="PL_HVBF/PSVar_MENLOPS_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/PSVar_MENLOPS/index.html">Internal</a><br>
endef
endif
ifneq (,$(findstring $(CHECK_MEPSNLO_RUNDIRS),$(RUNDIRS)))
define CHECK_MEPSNLO_HTML
<br><b>MEPSNLO 2-jet</b><br>
N<sub>jet</sub> variation: <a href="PL_HVBF/NJet_MEPSNLO_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/NJet_MEPSNLO/index.html">Internal</a><br>
Q<sub>cut</sub> variation: <a href="PL_HVBF/QCut_MEPSNLO_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/QCut_MEPSNLO/index.html">Internal</a><br>
Fixed order scale variation: <a href="PL_HVBF/FScale_MEPSNLO_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/FScale_MEPSNLO/index.html">Internal</a><br>
Resummation scale variation: <a href="PL_HVBF/RScale_MEPSNLO_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/RScale_MEPSNLO/index.html">Internal</a><br>
PS scheme variation: <a href="PL_HVBF/PSVar_MEPSNLO_Rivet/index.html">Rivet</a>
<a href="PL_HVBF/PSVar_MEPSNLO/index.html">Internal</a><br>
endef
endif

define HTML_DESCRIPTION
<h3>VBF Higgs production study</h3>

LHC SM VBF Higgs production study.<br>
Published in <a href="http://inspirehep.net/search?ln=en&p=1402.nnnn" target="new">arXiv:1402.nnnn</a>.<br>

$(CHECK_MEPS_HTML)
$(CHECK_MENLOPS_HTML)
$(CHECK_MEPSNLO_HTML)

<hr size="1">
endef
